Package org.silverpeas.components.kmelia

# Class RssLastPublicationsServlet

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
org.silverpeas.components.kmelia.RssLastPublicationsServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public class RssLastPublicationsServlet extends jakarta.servlet.http.HttpServlet

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `LOGIN_PARAM`
  `static final String`
  `PASSWORD_PARAM`
  `static final String`
  `SPACE_ID_PARAM`
  `static final String`
  `USER_ID_PARAM`

  ### Fields inherited from class jakarta.servlet.http.HttpServlet

  `LEGACY_DO_HEAD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RssLastPublicationsServlet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChannelTitle(String spaceId)`
  `Collection<org.silverpeas.core.contribution.publication.model.PublicationDetail>`
  `getElements(KmeliaTransversal kmeliaTransversal, String spaceId)`
  `org.silverpeas.core.personalization.UserPreferences`
  `getPersonalization(String userId)`
  Return the personalization service layer
  `String`
  `getServerURL(org.silverpeas.core.admin.user.model.UserFull user)`
  `boolean`
  `isSpaceAvailable(String userId, String spaceId)`
  `boolean`
  `isUserAuthorized(org.silverpeas.core.admin.user.model.UserFull user, String login, String password, String spaceId)`
  `protected void`
  `objectNotFound(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)`
  `void`
  `service(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
  `com.rometools.rome.feed.synd.SyndEntry`
  `toSyndEntry(org.silverpeas.core.contribution.publication.model.PublicationDetail publication, String serverURL, String lang)`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, init, service`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SPACE_ID_PARAM

    public static final String SPACE_ID_PARAM
    See Also:
      - Constant Field Values

  - ### USER_ID_PARAM

    public static final String USER_ID_PARAM
    See Also:
      - Constant Field Values

  - ### PASSWORD_PARAM

    public static final String PASSWORD_PARAM
    See Also:
      - Constant Field Values

  - ### LOGIN_PARAM

    public static final String LOGIN_PARAM
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RssLastPublicationsServlet

    public RssLastPublicationsServlet()

- ## Method Details

  - ### service

    public void service(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response) throws jakarta.servlet.ServletException, IOException
    Overrides:
      `service` in class `jakarta.servlet.http.HttpServlet`
    Throws:
      `jakarta.servlet.ServletException`
      `IOException`

  - ### getElements

    public Collection<org.silverpeas.core.contribution.publication.model.PublicationDetail> getElements(KmeliaTransversal kmeliaTransversal, String spaceId)

  - ### toSyndEntry

    public com.rometools.rome.feed.synd.SyndEntry toSyndEntry(org.silverpeas.core.contribution.publication.model.PublicationDetail publication, String serverURL, String lang)

  - ### getChannelTitle

    public String getChannelTitle(String spaceId)

  - ### getServerURL

    public String getServerURL(org.silverpeas.core.admin.user.model.UserFull user)

  - ### isUserAuthorized

    public boolean isUserAuthorized(org.silverpeas.core.admin.user.model.UserFull user, String login, String password, String spaceId)

  - ### isSpaceAvailable

    public boolean isSpaceAvailable(String userId, String spaceId)

  - ### objectNotFound

    protected void objectNotFound(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res) throws IOException
    Throws:
      `IOException`

  - ### getPersonalization

    public org.silverpeas.core.personalization.UserPreferences getPersonalization(String userId)
    Return the personalization service layer
    Parameters:
      `userId` - the user identifier
    Returns:
      the UserPreferences of user identified by userId